=== debian/changelog ===
facet-analyser (0.0~git20210718121026.869873a+ds1-2) unstable; urgency=medium

  * Bug fix: "Don't depend on PDAL", thanks to Bas Couwenberg who also
    provided a patch (closes: #1007131).

 -- Roland Mas <lolando@debian.org>  Wed, 20 Apr 2022 22:53:56 +0200

facet-analyser (0.0~git20210718121026.869873a+ds1-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Initial release (closes: #996340).

  [ Roland Mas ]
  * Packaging fixes.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Oct 2021 19:39:51 +0200
