## facet-analyser 0.0~git20221121142040.6be10b8%2Bds1

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,13 @@
  libdouble-conversion-dev,
  libfftw3-dev,
  libgdcm-tools,
- libinsighttoolkit4-dev,
+ libinsighttoolkit5-dev,
  liblz4-dev,
  libopengl-dev,
  libqt5opengl5-dev,
  libqt5svg5-dev,
  libutfcpp-dev,
- libvtk7-dev,
- libvtkgdcm-cil,
  libvtkgdcm-dev,
- libvtkgdcm-java,
  libx11-dev,
  paraview-dev,
  python3-paraview,
@@ -26,10 +23,23 @@
  qtbase5-dev,
  qttools5-dev,
  qtxmlpatterns5-dev-tools,
- vtk7,
  xalan,
  xvfb <!nocheck>,
  xauth <!nocheck>,
+ libogg-dev,
+ libtheora-dev,
+ libavcodec-dev,
+ libavdevice-dev,
+ libavfilter-dev,
+ libavformat-dev,
+ libavutil-dev,
+ libswresample-dev,
+ libswscale-dev,
+ libgl2ps-dev,
+ libgdal-dev,
+ libopenmpi-dev,
+ libglew-dev,
+ libfreetype-dev
 Standards-Version: 4.6.0
 Homepage: https://github.com/picca/FacetAnalyser
 Vcs-Git: https://salsa.debian.org/science-team/facet-analyser.git
