## facet-analyser 0.0~git20221121142040.6be10b8+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,11 +60,18 @@
   COMMAND pvpython ${PROJECT_SOURCE_DIR}/scripts/pvsm2webgl.py -i 8faced-rhombic-dodecahedron_twinned_simp+def_PVplugin.pvsm -o ${PROJECT_SOURCE_DIR}/docs/demos/WebGL/8faced-rhombic-dodecahedron_twinned_simp+def_PVplugin.webgl -p ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}/${PARAVIEW_PLUGIN_SUBDIR}/FacetAnalyser/FacetAnalyser.so
   )
 
+set_property(
+  TEST basicPluginTest01
+  PROPERTY SKIP_REGULAR_EXPRESSION "AttributeError"
+  )
+
 add_test(
   NAME basicPluginTest02
   WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/demos/
   COMMAND pvpython ${PROJECT_SOURCE_DIR}/scripts/pvsm2x3d.py -i 8faced-rhombic-dodecahedron_twinned_simp+def_PVplugin.pvsm -o ../docs/demos/X3D/8faced-rhombic-dodecahedron_twinned_simp+def_PVplugin.x3d -p ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}/${PARAVIEW_PLUGIN_SUBDIR}/FacetAnalyser/FacetAnalyser.so
   ) # relative path as it is stored in X3D
 
-set_tests_properties(basicPluginTest01 PROPERTIES
-  SKIP_REGULAR_EXCEPTION "ModuleNotFoundError: No module named 'paraview.web'")  # until paraview.web is available in Debian https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=991238
+set_property(
+  TEST basicPluginTest02
+  PROPERTY SKIP_REGULAR_EXPRESSION "AttributeError"
+  )
