=== debian/changelog ===
facet-analyser (0.0~git20221121142040.6be10b8+ds1-3) unstable; urgency=medium

  * Build against paraview-dev's version of libvtk instead of depending on
    the soon-to-be-removed libvtk7-dev package, at least until the
    packaging status of vtk7/vtk9 and paraview's embedding of those is
    clarified.

 -- Roland Mas <lolando@debian.org>  Tue, 14 Feb 2023 18:42:18 +0100

Facet-analyser (0.0~git20221121142040.6be10b8+ds1-2) unstable; urgency=medium

  * Bug fix: "FTBFS: unsatisfiable build-dependencies: libvtkgdcm-cil,
    libvtkgdcm-java", thanks to Lucas Nussbaum (Closes: #1029247).
  * Remove those two packages from build-depends: they're no longer
    available, and they were not used during the build anyway.

 -- Roland Mas <lolando@debian.org>  Thu, 26 Jan 2023 17:13:27 +0100

facet-analyser (0.0~git20221121142040.6be10b8+ds1-1) unstable; urgency=medium

  * New upstream version 0.0~git20221121142040.6be10b8+ds1
  * Bug fix: "FTBFS: build-dependency not installable:
    libinsighttoolkit4-dev", thanks to Lucas Nussbaum (Closes: #1017211).
  * d/control: B-D replace libinsighttoolkit4-dev with libinsighttoolkit5-dev
  * Bug fix: "vtk[6,7] removal", thanks to gladk@debian.org</a>; (Closes:
    #1013158).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 21 Nov 2022 15:40:30 +0100
