=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic
# package maintainers to append LDFLAGS

%:
	dh $@

override_dh_auto_test:
	xvfb-run dh_auto_test

override_dh_auto_build:
	(cd docs/demos/X3D ; xalan -in 8faced-rhombic-dodecahedron_twinned_simp+def.x3d -xsl X3dToX3dom.xslt -out 8faced-rhombic-dodecahedron_twinned_simp+def.xhtml)
	dh_auto_build
